Bug 212110 - Fail over fails when unmounting fails on active node
Fail over fails when unmounting fails on active node
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 00:24 EDT by Ryoichiro Tsuruno
Modified: 2015-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0149
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 17:18:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Active/Stanby node's log file at the time of fail over. (78.45 KB, text/plain)
2006-10-25 00:24 EDT, Ryoichiro Tsuruno
no flags Details
Allow recovery of services in error state (747 bytes, patch)
2006-12-05 10:30 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Ryoichiro Tsuruno 2006-10-25 00:24:09 EDT
Description of problem: 
When a NON-unmountable volume was mounted (i.e. mount an ISO image using -o loop
option) on an active node, fail over does not succeed to stand-by node.


Version-Release number of selected component (if applicable):
rgmanager 1.9.53
magma 1.0.6
magma-plugins 1.0.9


How reproducible:
Everytime

Steps to Reproduce:
1. mount an ISO image using "mount -o loop" option on an active node.
2. stop a service that is registered as a cluster resource.
3. Active node reboots after failing to unmount an ISO image.
4. After the active node is fenced, standby node fails to fail over displaying
"Invalid state 117".

Actual results:
Standby node fails to fail over displaying "Invalid state 117"..

Expected results:
Standby node succeeds to fail over.

Additional info:
Log files with debug info of both active and standby nodes are attached.
Comment 1 Ryoichiro Tsuruno 2006-10-25 00:24:09 EDT
Created attachment 139303 [details]
Active/Stanby node's log file at the time of fail over.
Comment 2 Lon Hohberger 2006-11-21 09:53:45 EST
This looks fairly easy to fix
Comment 3 Lon Hohberger 2006-12-05 10:30:14 EST
Created attachment 142859 [details]
Allow recovery of services in error state
Comment 4 Lon Hohberger 2006-12-13 13:19:45 EST
Fixes in CVS.
Comment 7 Red Hat Bugzilla 2007-05-10 17:18:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0149.html

Note You need to log in before you can comment on or make changes to this bug.